Index: enyshe.f
===================================================================
--- enyshe.f	(revision 6650a56b8f862383b669bf41c64d328acf404e72)
+++ enyshe.f	(revision 32289cdc085b7eebe6f6df5975767c27f3bf61c7)
@@ -1,8 +1,8 @@
 ! **************************************************************
 !
-! This file contains the subroutines: enyshe 
+! This file contains the subroutines: enyshe
 !
 ! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku 
+!                      Shura Hayryan, Chin-Ku
 ! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
 !                      Jan H. Meinke, Sandipan Mohanty
@@ -20,5 +20,5 @@
 !
 ! The function loops over all moving sets within the molecule. Within
-! this loop it loops over the van-der-Waals domains of each atom in the 
+! this loop it loops over the van-der-Waals domains of each atom in the
 ! moving set and finally over the atoms that belong to the 1-4 interaction
 ! set.
@@ -28,4 +28,10 @@
 
 ! If nml == 0 calculate the interaction between all pairs.
+      double precision e0, vr, cqi, xi, yi, zi, xij, yij, zij, rij2
+      double precision rij4, rij6, rij, sr, ep
+
+      integer nml, ntlvr, ifivr, i1s, io, iv, ia, it, ic, i2s, ims, i1
+      integer i2, i, ity, ivw, j, jty, i14
+
       if (nml.eq.0) then
           ntlvr = nvr
@@ -33,5 +39,5 @@
         ntlvr=nvrml(nml)
       endif
-      
+
       if (ntlvr.eq.0) then
         write (*,'(a,i4)')
@@ -48,5 +54,5 @@
         ifivr = ivrml1(1)
         i1s = imsml1(ntlml) + nmsml(ntlml)
-      else 
+      else
 ! Index of first variable in molecule.
         ifivr=ivrml1(nml)
@@ -54,28 +60,28 @@
         i1s=imsml1(nml)+nmsml(nml)
       endif
-! Loop over moving sets/variables in reverse order     
-      do io=ifivr+ntlvr-1,ifivr,-1  
+! Loop over moving sets/variables in reverse order
+      do io=ifivr+ntlvr-1,ifivr,-1
 ! The array iorvr contains the variables in an "apropriate" order.
-        iv=iorvr(io)       
+        iv=iorvr(io)
 ! Index of the primary moving atom for the variable with index iv
-        ia=iatvr(iv)       
+        ia=iatvr(iv)
 ! Get the type of variable iv (valence length, valence angle, dihedral angle)
-        it=ityvr(iv)       
+        it=ityvr(iv)
 ! Class of variable iv's potential  (Q: What are they)
-        ic=iclvr(iv)       
+        ic=iclvr(iv)
 ! If iv is a dihedral angle ...
-        if (it.eq.3) then      
+        if (it.eq.3) then
 ! Barrier height * 1/2 of the potential of iv.
           e0=e0to(ic)
 ! Calculate the periodic potential term. sgto is the sign of the barrier, rnto is
 ! the periodicity and toat is torsion angle(?) associate with atom ia.
-          if (e0.ne.0.) 
+          if (e0.ne.0.)
      &         eyvr=eyvr+e0*(1.0+sgto(ic)*cos(toat(ia)*rnto(ic)))
 ! else if iv is a valence angle ...
-        elseif (it.eq.2) then  
+        elseif (it.eq.2) then
 ! vr is the valence angle of ia
           vr=baat(ia)
 ! else if iv is a valence length...
-        elseif (it.eq.1) then  
+        elseif (it.eq.1) then
 ! vr is the length of the valence bond
           vr=blat(ia)
@@ -86,7 +92,7 @@
         i2s=i1s-1
 ! index of first moving set associated with iv
-        i1s=imsvr1(iv) 
+        i1s=imsvr1(iv)
 ! Loop over all moving sets starting from the one associated with vr to the end.
-        do ims=i1s,i2s  
+        do ims=i1s,i2s
 ! First atom of the current moving set
           i1=latms1(ims)
@@ -94,5 +100,5 @@
           i2=latms2(ims)
 ! Loop over all atoms of the current moving set.
-          do i=i1,i2  
+          do i=i1,i2
 ! Atom class of current atom
             ity=ityat(i)
@@ -104,9 +110,9 @@
             zi=zat(i)
 ! Loop over the atoms of the van der Waals domain belonging to atom i
-            do ivw=ivwat1(i),ivwat2(i)  
-! Loop over the atoms of the van der Waals domain of the atoms of the 
+            do ivw=ivwat1(i),ivwat2(i)
+! Loop over the atoms of the van der Waals domain of the atoms of the
 ! van der Waals domain of atom i
 ! Q: Which atoms are in these domains?
-              do j=lvwat1(ivw),lvwat2(ivw)  
+              do j=lvwat1(ivw),lvwat2(ivw)
 ! Atom type of partner
                 jty=ityat(j)
@@ -139,11 +145,11 @@
                 endif
 
-              enddo  
-            enddo  
-            
+              enddo
+            enddo
+
 ! Loop over 1-4 interaction partners
 ! The interactions between atoms that are three bonds apart in the protein are
 ! dominated by quantum mechanical effects. They are treated separately.
-            do i14=i14at1(i),i14at2(i)   
+            do i14=i14at1(i),i14at2(i)
               j=l14at(i14)
 
Index: enyshe_p.f
===================================================================
--- enyshe_p.f	(revision 6650a56b8f862383b669bf41c64d328acf404e72)
+++ enyshe_p.f	(revision 32289cdc085b7eebe6f6df5975767c27f3bf61c7)
@@ -1,8 +1,8 @@
 ! **************************************************************
 !
-! This file contains the subroutines: enyshe 
+! This file contains the subroutines: enyshe
 !
 ! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku 
+!                      Shura Hayryan, Chin-Ku
 ! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
 !                      Jan H. Meinke, Sandipan Mohanty
@@ -14,11 +14,11 @@
 
 !     ............................................................................
-!     
+!
 !     PURPOSE: Calculate internal energy of molecule 'nml' with ECEPP parameters
-!     
+!
 !     CALLS: none
-!     
+!
 !     The function loops over all moving sets within the molecule. Within
-!     this loop it loops over the van-der-Waals domains of each atom in the 
+!     this loop it loops over the van-der-Waals domains of each atom in the
 !     moving set and finally over the atoms that belong to the 1-4 interaction
 !     set.
@@ -31,4 +31,12 @@
 
 ! If nml == 0 calculate the interaction between all pairs.
+      double precision eysmsum, teysm, teyel, teyvw, teyhb, teyvr
+      double precision startwtime, e0, vr, cqi, xi, yi, zi, xij, yij
+      double precision zij, rij2, rij4, rij6, rij, sr, ep, endwtime
+
+      integer nml, ntlvr, ifivr, i1s, iend, istart, loopcounter, io, iv
+      integer ia, it, ic, i2s, ims, i1, i2, i, ity, ivw, j, jty, i14
+      integer ierror
+
       if (nml.eq.0) then
          ntlvr = nvr
@@ -36,5 +44,5 @@
          ntlvr=nvrml(nml)
       endif
-      
+
       if (ntlvr.eq.0) then
          write (*,'(a,i4)')
@@ -56,5 +64,5 @@
          ifivr = ivrml1(1)
          i1s = imsml1(ntlml) + nmsml(ntlml)
-      else 
+      else
 !     Index of first variable in molecule.
          ifivr=ivrml1(nml)
@@ -62,5 +70,5 @@
          i1s=imsml1(nml)+nmsml(nml)
       endif
-!     Loop over variables in reverse order     
+!     Loop over variables in reverse order
 !     This is the first loop to parallize. We'll just split the moving sets
 !     over the number of available processors and sum the energy up in the end.
@@ -72,6 +80,6 @@
       startwtime = MPI_Wtime()
       loopcounter = 0
-!      do io=ifivr+ntlvr-1,ifivr,-1  
-      do io = workPerProcessor(nml, myrank) - 1, 
+!      do io=ifivr+ntlvr-1,ifivr,-1
+      do io = workPerProcessor(nml, myrank) - 1,
      &        workPerProcessor(nml, myrank+1), -1
          if (io.lt.istart) then
@@ -79,25 +87,25 @@
          endif
 !     The array iorvr contains the variables in an "apropriate" order.
-         iv=iorvr(io)       
+         iv=iorvr(io)
 !     Index of the primary moving atom for the variable with index iv
-         ia=iatvr(iv)       
+         ia=iatvr(iv)
 !     Get the type of variable iv (valence length, valence angle, dihedral angle)
-         it=ityvr(iv)       
+         it=ityvr(iv)
 !     Class of variable iv's potential  (Q: What are they)
-         ic=iclvr(iv)       
+         ic=iclvr(iv)
 !     If iv is a dihedral angle ...
-         if (it.eq.3) then      
+         if (it.eq.3) then
 !     Barrier height * 1/2 of the potential of iv.
             e0=e0to(ic)
 !     Calculate the periodic potential term. sgto is the sign of the barrier, rnto is
 !     the periodicity and toat is torsion angle(?) associate with atom ia.
-            if (e0.ne.0.) 
+            if (e0.ne.0.)
      &           teyvr=teyvr+e0*(1.0+sgto(ic)*cos(toat(ia)*rnto(ic)))
 !     else if iv is a valence angle ...
-         elseif (it.eq.2) then  
+         elseif (it.eq.2) then
 !     vr is the valence angle of ia
             vr=baat(ia)
 !     else if iv is a valence length...
-         elseif (it.eq.1) then  
+         elseif (it.eq.1) then
 !     vr is the length of the valence bond
             vr=blat(ia)
@@ -108,7 +116,7 @@
          i2s=i1s-1
 !     index of first moving set associated with iv
-         i1s=imsvr1(iv) 
+         i1s=imsvr1(iv)
 !     Loop over all moving sets starting from the one associated with vr to the end.
-         do ims=i1s,i2s  
+         do ims=i1s,i2s
 !     First atom of the current moving set
             i1=latms1(ims)
@@ -116,5 +124,5 @@
             i2=latms2(ims)
 !     Loop over all atoms of the current moving set.
-            do i=i1,i2  
+            do i=i1,i2
 !     Atom class of current atom
                ity=ityat(i)
@@ -126,9 +134,9 @@
                zi=zat(i)
 !     Loop over the atoms of the van der Waals domain belonging to atom i
-               do ivw=ivwat1(i),ivwat2(i)  
-!     Loop over the atoms of the van der Waals domain of the atoms of the 
+               do ivw=ivwat1(i),ivwat2(i)
+!     Loop over the atoms of the van der Waals domain of the atoms of the
 !     van der Waals domain of atom i
 !     Q: Which atoms are in these domains?
-                  do j=lvwat1(ivw),lvwat2(ivw)  
+                  do j=lvwat1(ivw),lvwat2(ivw)
 
                      loopcounter = loopcounter + 1
@@ -163,11 +171,11 @@
                      endif
 
-                  enddo  
-               enddo  
-               
+                  enddo
+               enddo
+
 !     Loop over 1-4 interaction partners
 !     The interactions between atoms that are three bonds apart in the protein are
 !     dominated by quantum mechanical effects. They are treated separately.
-               do i14=i14at1(i),i14at2(i)   
+               do i14=i14at1(i),i14at2(i)
                   loopcounter = loopcounter + 1
                   j=l14at(i14)
@@ -210,13 +218,13 @@
 
 !     Collect energies from all nodes and sum them up
-      call MPI_ALLREDUCE(teysm, eysmsum, 1, MPI_DOUBLE_PRECISION,  
+      call MPI_ALLREDUCE(teysm, eysmsum, 1, MPI_DOUBLE_PRECISION,
      &     MPI_SUM, my_mpi_comm, ierror)
       call MPI_ALLREDUCE(teyel, eyel, 1, MPI_DOUBLE_PRECISION, MPI_SUM,
      &     my_mpi_comm, ierror)
-      call MPI_ALLREDUCE(teyvw, eyvw, 1, MPI_DOUBLE_PRECISION, MPI_SUM, 
-     &     my_mpi_comm, ierror)
-      call MPI_ALLREDUCE(teyhb, eyhb, 1, MPI_DOUBLE_PRECISION, MPI_SUM, 
-     &     my_mpi_comm, ierror)
-      call MPI_ALLREDUCE(teyvr, eyvr, 1, MPI_DOUBLE_PRECISION, MPI_SUM, 
+      call MPI_ALLREDUCE(teyvw, eyvw, 1, MPI_DOUBLE_PRECISION, MPI_SUM,
+     &     my_mpi_comm, ierror)
+      call MPI_ALLREDUCE(teyhb, eyhb, 1, MPI_DOUBLE_PRECISION, MPI_SUM,
+     &     my_mpi_comm, ierror)
+      call MPI_ALLREDUCE(teyvr, eyvr, 1, MPI_DOUBLE_PRECISION, MPI_SUM,
      &     my_mpi_comm, ierror)
 
Index: enysol_p.f
===================================================================
--- enysol_p.f	(revision 6650a56b8f862383b669bf41c64d328acf404e72)
+++ enysol_p.f	(revision 32289cdc085b7eebe6f6df5975767c27f3bf61c7)
@@ -4,5 +4,5 @@
 !
 ! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku 
+!                      Shura Hayryan, Chin-Ku
 ! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
 !                      Jan H. Meinke, Sandipan Mohanty
@@ -10,5 +10,5 @@
 ! **************************************************************
 
-      
+
       real*8 function enysol(nmol)
 
@@ -19,5 +19,5 @@
 !
 !     Double Cubic Lattice algorithm for calculating the
-!     solvation energy of proteins using 
+!     solvation energy of proteins using
 !     solvent accessible area method.
 !
@@ -26,5 +26,18 @@
 !
 ! -------------------------------------------------------------
-! TODO: Check the solvent energy for multiple molecules     
+! TODO: Check the solvent energy for multiple molecules
+      double precision startwtime, avr_x, avr_y, avr_z, xmin, ymin, zmin
+      double precision xmax, ymax, zmax, rmax, diamax, sizex, sizey
+      double precision sizez, shiftx, shifty, shiftz, boxpp, trad, dx
+      double precision dy, dz, dd, akrad, dr, xyz, radb, radb2, sdd, sdr
+      double precision area, volume, eyslsum, endwtime
+
+      integer nmol, nrslow, nrshi, nlow, nup, i, numat, inbox, j, ndx
+      integer ndy, ndz, nqxy, ncbox, mx, my, mz, nboxj, numbox, jj
+      integer indsort, iboxmin, iboxmax, ibox, iz, iy, ix, lbn, nsx, nsy
+      integer nsz, nex, ney, nez, jcnt, jz, jy, jx, jbox, ii, look, ia
+      integer jbi, nnei, ib, jtk, il, lst, ilk, ik, icount, jres, nursat
+      integer ierror, nhx, mhx, nbt, mbt
+
       dimension numbox(mxat),inbox(mxbox+1),indsort(mxat),look(mxat)
       dimension xyz(mxinbox,3),radb(mxinbox),radb2(mxinbox)
@@ -33,5 +46,5 @@
 
 !       common/ressurf/surfres(mxrs)
-      real*8 tsurfres(mxrs) 
+      real*8 tsurfres(mxrs)
       startwtime = MPI_Wtime()
       root = 0
@@ -50,5 +63,5 @@
       do i=nrslow,nrshi
        surfres(i) = 0.0d0
-      end do 
+      end do
 
       numat= nup - nlow + 1
@@ -57,5 +70,5 @@
          inbox(i)=0
       end do
-     
+
       asa=0.0d0
       vdvol=0.0d0
@@ -124,5 +137,5 @@
        stop
       end if
-        
+
 ! Let us shift the borders to home all boxes
 
@@ -164,6 +177,6 @@
         inbox(i+1)=inbox(i+1)+inbox(i)
       end do
-         
-        
+
+
 !   Sorting the atoms by the their box numbers
 
@@ -173,6 +186,6 @@
          indsort(jj)=i
          inbox(j)=jj-1
-      end do   
-         
+      end do
+
 !    Getting started
 !    We have to loop over ncbox boxes and have no processors available
@@ -202,5 +215,5 @@
              ney=min(iy+1,ndy-1)
              nez=min(iz+1,ndz-1)
-                     
+
 !  Atoms in the boxes around
 
@@ -218,6 +231,6 @@
                end do
               end do
-             end do     
-                             
+             end do
+
              do  ia=inbox(ibox)+1,inbox(ibox+1)
                jbi=indsort(ia)
@@ -271,5 +284,5 @@
                      end do
  99                  continue
-    
+
                      if(ik.gt.nnei)then
                        surfc(il)=.true.
@@ -313,17 +326,17 @@
                  surfres(jres) = surfres(jres) + area
                end if
-             end do 
+             end do
            end if
 !           end do
 !          end do
        end do
-      call MPI_ALLREDUCE(eysl, eyslsum, 1, MPI_DOUBLE_PRECISION, 
+      call MPI_ALLREDUCE(eysl, eyslsum, 1, MPI_DOUBLE_PRECISION,
      &      MPI_SUM,my_mpi_comm, ierror)
 !       write(*,*) 'enysol>', myrank, eysl, eyslsum
       tsurfres = surfres
-      call MPI_ALLREDUCE(tsurfres, surfres, mxrs, MPI_DOUBLE_PRECISION, 
+      call MPI_ALLREDUCE(tsurfres, surfres, mxrs, MPI_DOUBLE_PRECISION,
      &      MPI_SUM,my_mpi_comm, ierror)
       eysl = eyslsum
-      
+
       endwtime = MPI_Wtime()
       if (myrank.le.-1) then
@@ -349,7 +362,9 @@
       subroutine tessel
       include 'INCL.H'
+      integer i
+
       character lin*80
 
-!    Skipping comment lines, which begin with '!'  
+!    Skipping comment lines, which begin with '!'
 
       read(20,'(a)') lin
@@ -363,14 +378,14 @@
 !        write(*,'(a,i5)') 'the number of points---->',npnt
 
-!    Read the surface points   
+!    Read the surface points
 
       do i=1,npnt
          read(20,'(3f20.10)') spoint(i,1),spoint(i,2),spoint(i,3)
-         
+
 !        write(31,'(3f20.10)') spoint(i,1),spoint(i,2),spoint(i,3)
       end do
- 
+
       return
- 
+
       end
 
Index: eyabgn.f
===================================================================
--- eyabgn.f	(revision 6650a56b8f862383b669bf41c64d328acf404e72)
+++ eyabgn.f	(revision 32289cdc085b7eebe6f6df5975767c27f3bf61c7)
@@ -5,10 +5,10 @@
 !                      Jan H. Meinke, Sandipan Mohanty
 !
-! Corrections to ECEPP energy terms due to R. A. Abagyan et al. 
-! 
+! Corrections to ECEPP energy terms due to R. A. Abagyan et al.
+!
 ! Two terms are calculated: eyrccr and eyentr, representing respectively
-! c a term to slightly shift the backbone dihedral angle preferences in 
+! c a term to slightly shift the backbone dihedral angle preferences in
 ! the ECEPP potential slightly away from the helix region, and another
-! term to estimate the side-chain entropy from a given configuration. 
+! term to estimate the side-chain entropy from a given configuration.
 !
 !
@@ -16,4 +16,8 @@
       real*8 function eyrccr(nml)
       include 'INCL.H'
+      double precision et, rsscl
+
+      integer nml, istres, indres, i, ipsi, in, ica, ic, mlvr, iphi
+
       dimension iN(mxrs),iCa(mxrs),iC(mxrs),mlvr(mxvr)
       dimension iphi(mxrs),ipsi(mxrs)
@@ -34,7 +38,7 @@
          call tolost(mynm)
          if ((mynm.eq.'val').or.(mynm.eq.'ile').or.
-     &           (mynm.eq.'thr')) then 
+     &           (mynm.eq.'thr')) then
             rsscl=1.0
-         else 
+         else
             rsscl=0.5
          endif
@@ -48,5 +52,5 @@
       eyrccr=et
       return
-      end 
+      end
 
       subroutine init_abgn
@@ -54,4 +58,8 @@
 !       dimension rsstrg(mxrs)
 !       common /abgncor/rsstrg
+      double precision xarea, estrg
+
+      integer i, istres, indres, imytyp, j
+
       dimension xarea(nrsty),estrg(nrsty)
       character mynm*4
@@ -102,17 +110,17 @@
 !            print *,'comparing ',mynm,' with ',rsnmcd(j),imytyp
          enddo
-         if (imytyp.eq.0) then 
+         if (imytyp.eq.0) then
             print *, 'Unknown residue type ',seq(i)
             print *, 'Abagyan term strength set to 0'
             rsstrg(i)=0.0
-         else 
+         else
             rsstrg(i)=estrg(imytyp)/xarea(imytyp)
          endif
 !         print *,'residue ',i,seq(i),' type ',imytyp
-!         print *, 'strength for residue ',i,seq(i),' is ',rsstrg(i) 
+!         print *, 'strength for residue ',i,seq(i),' is ',rsstrg(i)
       enddo
       print *, 'initialized Abagyan corrections to ECEPP force field'
       end
-      
+
       real*8 function eyentr(nml)
       include 'INCL.H'
@@ -121,4 +129,8 @@
 !       common/ressurf/surfres(mxrs)
 !      common/bet/beta
+      double precision eentr, aars, strh
+
+      integer nml, istres, indres, i
+
       eentr=0
       if (nml.eq.0) then
@@ -136,5 +148,5 @@
 !        The maximal burial entropies were estimated at temperature 300k
 !        The values in the array estrg are k_B * T (=300k) * Entropy
-!        Presently we need it at temperature 1/beta, so we need to 
+!        Presently we need it at temperature 1/beta, so we need to
 !        multiply the strengths in estrg with (1/beta)/(300 kelvin)
 !        300 kelvin is approximately 0.59576607 kcal/mol.
@@ -149,7 +161,11 @@
       return
       end
-      
-      real*8 function eyabgn(nml) 
+
+      real*8 function eyabgn(nml)
       include 'INCL.H'
+      double precision eyrccr, eyentr
+
+      integer nml
+
       eyabgn=eyrccr(nml)+eyentr(nml)
 !      print *,'Abagyan term = ',eyabgn
Index: gradient.f
===================================================================
--- gradient.f	(revision 6650a56b8f862383b669bf41c64d328acf404e72)
+++ gradient.f	(revision 32289cdc085b7eebe6f6df5975767c27f3bf61c7)
@@ -4,5 +4,5 @@
 !
 ! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku 
+!                      Shura Hayryan, Chin-Ku
 ! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
 !                      Jan H. Meinke, Sandipan Mohanty
@@ -21,4 +21,8 @@
       include 'INCL.H'
 
+
+      double precision esm
+
+      integer i, ivr1, ivr2, j
 
       esm = 0.d0
Index: init_energy.f
===================================================================
--- init_energy.f	(revision 6650a56b8f862383b669bf41c64d328acf404e72)
+++ init_energy.f	(revision 32289cdc085b7eebe6f6df5975767c27f3bf61c7)
@@ -5,5 +5,5 @@
 !
 ! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku 
+!                      Shura Hayryan, Chin-Ku
 ! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
 !                      Jan H. Meinke, Sandipan Mohanty
@@ -17,5 +17,5 @@
 ! PURPOSE: initialize energy parameters
 !        0  => ECEPP2 or ECEPP3 depending on the value of sh2
-!        1  => FLEX 
+!        1  => FLEX
 !        2  => Lund force field
 !        3  => ECEPP with Abagyan corrections
@@ -29,12 +29,14 @@
       include 'INCL.H'
 
+      integer ll, iendst, its
+
       character libdir*(*),tesfil*80
-      
+
       if (ientyp.eq.1) then
           flex = .true.
-      else 
+      else
           flex = .false.
       end if
-      
+
       lunlib=10
       ll=iendst(libdir)
@@ -56,5 +58,5 @@
       endif
 
-      if (ientyp .eq. 2) then 
+      if (ientyp .eq. 2) then
         reslib=libdir(1:ll)//'lib.lun'
       endif
@@ -78,5 +80,5 @@
 
       else
- 
+
         if (itysol.ne.0) then
           write(*,'(a)') ' init_energy>  undefined solvent type !'
@@ -110,4 +112,8 @@
 
       include 'INCL.H'
+
+      double precision hbc, hba, ri, ai, aei, aic, a, aj, c, rij
+
+      integer i, j, iac, ido, jac, jdo
 
       dimension hbc(mxhbdo,mxhbac),hba(mxhbdo,mxhbac)
@@ -308,4 +314,6 @@
 
       include 'INCL.H'
+      
+      integer i
 
 !  Atom types ------------------------------------------------------------
@@ -517,5 +525,5 @@
      & 'ile ','leu ','lys ','lys+','met ','phe ','cpro','pro ','cpru',
      & 'prou','pron','pro+','ser ','thr ','trp ','tyr ','val ' /
-  
+
       data (onltcd(i),i=1,nrsty)/  ! One-letter codes for amino acid types
      & 'A',   'R',   'R',   'N',   'D',   'D',   'C',   'C',   'Q',
@@ -527,11 +535,11 @@
 !      coefficients for their solvation free energy (kcal/molxA**2)
 
-!  Method: 
-
-!  itysol=1 : OONS --> T.Ooi, et al, 
+!  Method:
+
+!  itysol=1 : OONS --> T.Ooi, et al,
 !                      Proc. Natl. Acad. Sci. USA 8 (1987) 3086-3090.
-!  itysol=2 : JRF  --> J.Vila, et al, 
+!  itysol=2 : JRF  --> J.Vila, et al,
 !                      PROTEINS: Struct Funct Genet 10(1991) 199-218.
-!  itysol=3 : WE92 --> L.Wesson, D.Eisenberg, 
+!  itysol=3 : WE92 --> L.Wesson, D.Eisenberg,
 !                      Protein Science 1 (1992) 227-235.
 !  itysol=4 : SCH1 --> D.Eisenberg, et al,
@@ -539,9 +547,9 @@
 !  itysol=5 : SCH2 --> A.H.Juffer, et al,
 !                      Proteine Science 4 (1995) 2499-2509.
-!  itysol=6 : SCH3 --> L.Wesson, D.Eisenberg, 
+!  itysol=6 : SCH3 --> L.Wesson, D.Eisenberg,
 !                      Protein Science 1 (1992) 227-235.
 !  itysol=7 : SCH4 --> C.A. Schiffer, et al,
 !                      Mol. Simul. 10(1993) 121-149.
-!  itysol=8 : EM86 --> D.Eisenberg, A.D. Mclachlan, 
+!  itysol=8 : EM86 --> D.Eisenberg, A.D. Mclachlan,
 !                      Nature 319 (1986) 199-203.
 !  itysol=9 : BM   --> B. Freyberg, et al,
Index: init_molecule.f
===================================================================
--- init_molecule.f	(revision 6650a56b8f862383b669bf41c64d328acf404e72)
+++ init_molecule.f	(revision 32289cdc085b7eebe6f6df5975767c27f3bf61c7)
@@ -4,5 +4,5 @@
 !
 ! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku 
+!                      Shura Hayryan, Chin-Ku
 ! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
 !                      Jan H. Meinke, Sandipan Mohanty
@@ -16,5 +16,5 @@
 ! PURPOSE: construct starting structure of molecule(s)
 !
-!          iabin = 1  : ab Initio using sequence & 
+!          iabin = 1  : ab Initio using sequence &
 !                       variables given in input files
 !          iabin != 1 : sequence, variable information
@@ -32,9 +32,12 @@
       include 'INCP.H'
 
+      integer iabin, iendst, ntl, i, j, l, it, ier, ir, nursvr, i1, i2
+      integer its
+
 Cf2py character*80 optional, intent(in) :: seqfile = ' '
-Cf2py character*80 optional, intent(in) :: varfile = ' ' 
-      
+Cf2py character*80 optional, intent(in) :: varfile = ' '
+
       character grpn*4,grpc*4
-      character navr*3, nars*4  
+      character navr*3, nars*4
       character seqfile*80, varfile*80
       integer ontlml
@@ -44,7 +47,7 @@
       readFromStdin = .false.
 
-      write (*,*) 'init_molecule: Solvent: ', itysol
-      if (iabin.eq.1) then  
-         
+      write (logString, *) 'init_molecule: Solvent: ', itysol
+      if (iabin.eq.1) then
+
 !     ----------------------------------------- get sequence for molecule(s)
          lunseq=11
@@ -53,40 +56,41 @@
          endif
          if (iendst(seqfile).le.1.or.seqfile.eq.' ') then
- 1          write (*,'(/,a,$)') ' file with SEQUENCE:'
+ 1          write (logString, '(/,a,$)') ' file with SEQUENCE:'
             seqfil=' '
             read (*,'(a)',err=1) seqfil
             readFromStdin = .true.
-         else 
+         else
             seqfil = seqfile
-         endif 
+         endif
          call redseq
-         
-         write (*,*) 'File with sequence is ', seqfil(1:iendst(seqfil))
-         
+
+         write (logString, *) 'File with sequence is ', 
+     &      seqfil(1:iendst(seqfil))
+
 !     --------------------------------- read & assemble data from libraries
 !     initial coordinates, interaction lists
-         
+
          ntl = ntlml
          do i=ontlml, ntl
-            
+
             call getmol(i)      ! assemble data from libraries
-            
+
             do j=1,6            ! initialize global parameters
                gbpr(j,i)=0.d0
             enddo
-            
+
             call bldmol(i)      ! co-ordinates
-            
+
             ntlml = i
             call addend(i,grpn,grpc) ! modify ends
             call setmvs(i) ! determine sets of moving atoms for given variables
             call mklist(i)      ! compile lists of interaction partners
-            
+
          enddo
-         
+
 !     --------------------------- Read the initial conformation if necessary
-         if(readFromStdin) then 
-            write (*,'(a,$)') ' file with VARIABLES:'
-!     
+         if(readFromStdin) then
+            write (logString, '(a,$)') ' file with VARIABLES:'
+!
             varfil=' '
             read(*,'(a)',end=2,err=2) varfil
@@ -96,46 +100,12 @@
          l=iendst(varfil)
          if (l.gt.0.and.varfil.ne.' ') then
-            write (*,'(1x,a,/)') varfil(1:l)
+            write (logString, '(1x,a,/)') varfil(1:l)
             lunvar=13
-            
+
             call redvar         ! get vars. and rebuild
-            
-         endif
-         
- 2       write(*,*) ' '
-         
-         ireg = 0
-         
-      else                      ! =========================== from PDB
-         if (iendst(seqfile).le.1) then
- 3          write (*,'(/,a,$)') ' PDB-file:'
-            seqfil=' '
-            read (*,'(a)',err=3) seqfil
-         else
-            seqfil = seqfile
-         endif
-         write (*,*) 'PDB structure ',seqfil(1:iendst(seqfil))
-         print *, 'calling readpdb with ',seqfile
-         call pdbread(seqfil,ier)
-         
-         if (ier.ne.0) stop
-         
-         call pdbvars()
-         
-         ireg = 1
-         
-      endif
-      
-! If Lund force field is in use, keep omega angles fixed
-      if (ientyp.eq.2) then
-         do iv=1,nvrml(ntlml)
-            if ((nmvr(iv)(1:2).eq.'om')) then
-                vlvr(iv)=pi
-                toat(iatvr(iv))=pi
-                fxvr(iv)=.true.
-                print *, 'Fixed variable ',iv,nmvr(iv),vlvr(iv)
-            endif
-         enddo
-      endif
+
+         endif
+
+ 2       write (logString, *) ' '
 
 !     -------------------- get: nvr,idvr, vlvr, olvlvr
@@ -161,69 +131,91 @@
          enddo
 
+         ireg = 0
+
+      else                      ! =========================== from PDB
+         if (iendst(seqfile).le.1) then
+ 3          write (logString, '(/,a,$)') ' PDB-file:'
+            seqfil=' '
+            read (*,'(a)',err=3) seqfil
+         else
+            seqfil = seqfile
+         endif
+         write (logString, *) 'PDB structure ',seqfil(1:iendst(seqfil))
+         print *, 'calling readpdb with ',seqfile
+         call pdbread(seqfil,ier)
+
+         if (ier.ne.0) stop
+
+         call pdbvars()
+
+         ireg = 1
+
+      endif
+
 !     -------------------------- set var. amplitudes for simulations
-      
+
       do i=1,ivrml1(ntlml)+nvrml(ntlml)-1
-         
+
          if (ityvr(i).eq.3.and..not.fxvr(i)) then ! torsion
-            
+
             navr = nmvr(i)
-            
+
             ir = nursvr(i)
             nars = seq(ir)
-            
+
             if (                         navr(1:2).eq.'om'
-            
+
      &     .or.nars(1:3).eq.'arg'.and.(navr(1:2).eq.'x5'
      &           .or.navr(1:2).eq.'x6')
-            
+
      &           .or.(nars(1:3).eq.'asn'.or.nars(1:3).eq.'asp')
      &           .and.navr(1:2).eq.'x3'
-            
+
      &           .or.(nars(1:3).eq.'gln'.or.nars(1:3).eq.'glu')
      &           .and.navr(1:2).eq.'x4'
-            
+
      &           ) then
-            
+
 !     axvr(i) = pi/9.d0  ! 20 deg.
             axvr(i) = pi2       ! Trying out 360 deg. for these as well
-            
+
          else
             axvr(i) = pi2       ! 360 deg.
          endif
-         
+
       else
          axvr(i) = 0.d0
       endif
-      
+
       enddo                     ! vars.
-      
+
 !     --------------------- initialize solvation pars. if necessary
 
       if (itysol.ne.0) then
-         
+
          i1=iatrs1(irsml1(1))   ! 1st atom of 1st molecule
          i2=iatrs2(irsml2(ntlml)) ! last atom of last molecule
-         
+
          its = iabs(itysol)
-         
+
          do i=i1,i2             ! all atoms
             it=ityat(i)
             sigma(i)=coef_sl(its,it)
             rvdw(i) =rad_vdw(its,it)
-            
+
             if (nmat(i)(1:1).ne.'h') rvdw(i)=rvdw(i)+rwater
-            
+
          enddo
-         
+
       endif
 ! Initialize calpha array
       do i=ontlml, ntlml
-         call c_alfa(i,1)    
+         call c_alfa(i,1)
       enddo
 
 !     Initialize arrays used in the BGS update
-      call init_lund()      
+      call init_lund()
       return
       end
-      
-      
+
+
